<?php

/**
 * Phire Confirm Site Removal
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once dirname(__FILE__) . '/config.check.php';

// Get site ids from $_POST array.
$rm_sites = array();
$rm_sites = $_POST['rm_sites'];

try {

    if (isset($rm_sites[0])) {

        $site_list = '';

        // Set site checkbox removal tables.
        foreach ($rm_sites as $value) {
            $site = new Phire_Table_Sites();
            $site->findById($value);
            $site_list .= "                        <table cellpadding=\"0\" cellspacing=\"0\" style=\"margin: 0; padding: 0;\"><tr style=\"margin: 0; padding: 0;font-size: 1.0em; border: none;\"><td style=\"margin: 0; padding: 2px; font-size: 1.0em; border: none;\"><input type=\"checkbox\" class=\"checkBox\" name=\"rm_sites[]\" value=\"{$value}\" /></td><td style=\"margin: 0; padding: 2px; font-size: 1.0em; border: none;\"><strong class=\"error\">{$site->site_domain}</strong></td></tr></table>\n";
        }

        $plugin = (isset($_POST['plugin'])) ? "<input type=\"hidden\" name=\"plugin\" value=\"{$_POST['plugin']}\" />" : '';

        $confirm = $lang->__('Confirm Site Removal');
        $selected = $lang->__('You have selected to remove the following sites.');
        $undone = $lang->__('This action cannot be undone%1 and will %2permanently delete%3 the site(s) and all related assets,%4including templates, pages, sections, comments, files, images, events, themes, plugins and members.', array("</strong>", "<strong class=\"error\">", "</strong>", "<br />"));
        $cancel = $lang->__('CANCEL');
        $removal = $lang->__('Confirm Removal');

        // Print the confirmation table.
        print <<<TABLE
        <form id="sitesForm" action="../core/process/remove.sites.php" method="post" onsubmit="return sitesFrm.checkValidate('site', true);">
            <table id="removeTable" cellpadding="0" cellspacing="0">
                <tr><td class="redTableHeader" style="margin: 0; padding: 0 0 0 25px;"><strong>{$confirm}</strong></td></tr>
                <tr>
                    <td style="padding: 25px;">
                        <h3 style="margin: 0; padding: 0 0 15px 0; color: #7f0000; font-size: 1.4em;">{$selected}</h3><p style="font-size: 1.2em;"><strong class="error">{$undone}</p><br />
{$site_list}
                    </td>
                </tr>
            </table>
            <table id="footerTable" cellpadding="0" cellspacing="0"><tr><td><a style="margin: 0 0 0 20px; padding-top: 6px; height: 19px; font-size: 0.825em; float: right;" class="submitGrayBtn" href="./sites.php">{$cancel}</a> <input style="float: right;" type="submit" class="submitRedBtn" value="{$removal}" /> {$plugin}</td></tr></table>
        </form>
        <script type="text/javascript">
            sitesFormInit();
        </script>

TABLE;

    } else {

        header('Location: ' . BASE_PATH . SYS_PATH . '/system/sites.php');

    }

// Else throw a exception/error.
} catch (Exception $e) {

    print("        <p style=\"width: 95%; margin: 0 auto; padding: 5px 0 10px 0;\">" . $e->getMessage() . "</p>\n");

}

?>
