<?php

/**
 * Phire Get Files
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once dirname(__FILE__) . '/config.check.php';

$add = $lang->__('Add Files');
$ste = $lang->__('Site');
$fle_tle = $lang->__('File Title');
$click = $lang->__('Click to Edit');
$sect = $lang->__('Section');
$own = $lang->__('Owner');
$size = $lang->__('Size');
$dload = $lang->__('Download');
$remove = $lang->__('Remove?');
$remove_btn = $lang->__('Remove');

$int_sort_id = 'file_id';
$tableHeader = "<tr><td class=\"grayHeader\" style=\"padding: 0; width: 6%; text-align: center;\"><a class=\"grayLink\" href=\"./files.php?sort=file_id\">ID #</a></td><td class=\"grayHeader\" style=\"width: 10%; padding: 0; text-align: left;\"><a class=\"grayLink\" href=\"./files.php?sort=site_id\">{$ste}</a></td><td class=\"grayHeader\" style=\"padding: 0 0 0 20px; text-align: left;\"><a class=\"grayLink\" href=\"./files.php?sort=file_title\">{$fle_tle}</a> ({$click})</td><td class=\"grayHeader\" style=\"width: 10%; padding: 0; text-align: center;\"><a class=\"grayLink\" href=\"./files.php?sort=section_id\">{$sect}</a></td><td class=\"grayHeader\" style=\"padding: 0; width: 10%; text-align: center;\"><a class=\"grayLink\" href=\"./files.php?sort=user_id\">{$own}</a></td><td class=\"grayHeader\" style=\"width: 6%; padding: 0; text-align: center;\"><strong>{$size}</strong></td><td class=\"grayHeader\" style=\"width: 7%; padding: 0; text-align: center;\"><strong>{$dload}</strong></td><td class=\"grayHeader\" style=\"width: 8%; padding: 0; text-align: center;\"><strong>{$remove}</strong></td></tr>";

require_once '../core/process/calculate.sort.php';

try {

    $sql = null;
    $files = new Phire_Table_Files();
    $pg = (isset($_GET['page'])) ? $_GET['page'] : 1;

    // Build the SQL query for the files based on the values passed and the session data set.
    if (isset($sess->sites)) {

        $site_ids = array();
        foreach ($sess->sites as $value) {
            $site_ids[] = "site_id = '" . $value . "'";
        }
        $sql = "SELECT * FROM " . DB_PREFIX . "files WHERE " . implode(' OR ', $site_ids) . " ORDER BY " . $sort;

        // Execute the SQL query.
        $files->execute($sql);

    }

    // Set the table header, row and footer templates.
    if (isset($files->rows[0])) {

        // Set the table header template.
        $tableHeader = <<<TABLEHEADER
        <form id="filesForm" action="../core/process/remove.files.php" method="post" onsubmit="return filesFrm.checkValidate('file', true);">
            <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td><input style="margin: 0 3.5% 0 0; float: right;" type="checkbox" class="checkBox" id="check_all" name="check_all" value="all" onclick="formCheckAll(this, filesFrm, 'rm_files');" /><span style="margin: 0; padding: 0 45px 0 0; font-size: 0.9em; float: right;">[{page_links}]</span><a class="orangeLink" href="./add-files.php">[+] {$add}</a></td></tr></table>
            <table id="dataTable" cellpadding="0" cellspacing="0">
                {$tableHeader}

TABLEHEADER;

        // Set the row template.
        $rowTmpl = "                <tr><td style=\"text-align: center;\">[{file_id}]</td><td style=\"text-align: left;\">[{site_domain}]</td><td style=\"padding: 0 0 0 20px;\">[{file_link_title}]</td><td style=\"text-align: center;\">[{section}]</td><td style=\"text-align: center;\">[{name}]</td><td style=\"text-align: center;\">[{size}]</td><td><a class=\"downloadLink\" href=\"http://[{site_domain}]" . BASE_PATH . CONTENT_PATH . "/assets/files/[{file_name}]\" title=\"Download [{file_name}]\"><span class=\"hide\">Download [{file_name}]</span></a></td>[{remove_check}]</tr>\n";

        // Set the table footer template.
        $tableFooter = <<<TABLEFOOTER
            </table>
            <table id="footerTable" cellpadding="0" cellspacing="0"><tr><td><input style="float: right;" type="submit" class="submitRedBtn" value="{$remove_btn}" /><span style="display: block; margin: 5px 0 0 0; padding: 0 25px 0 0; font-size: 0.9em; float: right;">[{page_links}]</span></td></tr></table>
        </form>
        <script type="text/javascript">
            filesFormInit();
        </script>

TABLEFOOTER;

        $file_rows = array();
        $id = null;

        // Iterate through each file, formatting and setting it into a row.
        foreach ($files->rows as $file) {

            $site = new Phire_Table_Sites();
            $site->getSite($file->site_id);

            $section = new Phire_Table_Sections();
            $section->findById($file->section_id);

            if (isset($section->section_id)) {
                $sect = (string)Moc10_String::setString($section->section_title)->strip()->html();
            } else {
                $sect = '&nbsp;';
            }

            if ($file->user_id != 0) {

                $user = new Phire_Table_Users();
                $user->findById($file->user_id);
                $name = (isset($user->user_id)) ? Moc10_String::setString($user->fname)->strip()->html() . ' ' . Moc10_String::setString($user->lname)->strip()->html() : 'N/A';

                $brws = new Moc10_Session_Browser();
                $hgt = ($brws->browser == 'MSIE') ? '25' : '30';

                if (($sess->access != 'Admin') && ($sess->open_authoring[$file->site_id] == 'Off') && ($sess->user_id != $file->user_id)) {
                    $file_link_title = $file->file_title;
                    $removeCheck = "<td style=\"text-align: center; height: {$hgt}px;\">&nbsp;</td>";
                } else {
                    $file_link_title = "<a href=\"./edit-file.php?fid={$file->file_id}\">{$file->file_title}</a>";
                    $removeCheck = "<td style=\"text-align: center;\"><input type=\"checkbox\" class=\"checkBox\" id=\"rm_files{$id}\" name=\"rm_files[]\" value=\"{$file->file_id}\" /></td>";
                    $id++;
                }

            } else {
                $name = 'N/A';
                $file_link_title = "<a href=\"./edit-file.php?fid={$file->file_id}\">{$file->file_title}</a>";
                $removeCheck = "<td style=\"text-align: center;\"><input type=\"checkbox\" class=\"checkBox\" id=\"rm_files{$id}\" name=\"rm_files[]\" value=\"{$file->file_id}\" /></td>";
                $id++;
            }

            $size = null;
            $fle = new Moc10_File($site->site_docroot . BASE_PATH . CONTENT_PATH . '/assets/files/' . $file->file_name);

            if ($fle->size < 1000) {
                $size = '< 1 KB';
            } else if (($fle->size >= 1000) && ($fle->size < 1000000)) {
                $size = round(($fle->size / 1000), 1) . ' KB';
            } else if ($fle->size >= 1000000) {
                $size = round(($fle->size / 1000000), 2) . ' MB';
            } else {
                $size = $fle->size;
            }

            $file_rows[] = array('file_id' => $file->file_id,
                                 'site_domain' => $site->site_domain,
                                 'file_link_title' => $file_link_title,
                                 'file_name' => $file->file_name,
                                 'section' => $sect,
                                 'name' => $name,
                                 'size' => $size,
                                 'remove_check' => $removeCheck);

        }

        // Get the system pagination limit.
        $cfg = new Phire_Table_Config();
        $pg_num = ($cfg->settings['system_pagination_limit'] != 0) ? $cfg->settings['system_pagination_limit'] : count($file_rows);
        $pg_range = ($cfg->settings['system_pagination_range'] != 0) ? $cfg->settings['system_pagination_range'] : null;

        // Render the file results.
        $sess->files = new Moc10_Session_Paginator($file_rows, $pg_num, $pg_range);
        $sess->files->setHeader($tableHeader);
        $sess->files->setRowTemplate($rowTmpl);
        $sess->files->setFooter($tableFooter);
        $sess->files->render($pg, ' | ', 'subLinkOn', 'subLinkOff');

    // Else, print a no results table.
    } else {

        $nofiles = $lang->__('There are currently no files.');

        print <<<TABLEHEADER
        <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td><a class="orangeLink" href="./add-files.php">[+] {$add}</a></td></tr></table>
        <table id="dataTable" cellpadding="0" cellspacing="0">
            {$tableHeader}
        <tr><td colspan="8" style="padding: 25px;">{$nofiles}</td></tr>
        </table>

TABLEHEADER;

    }

// Else throw a exception/error.
} catch (Exception $e) {

    print("        <p style=\"width: 95%; margin: 0 auto; padding: 5px 0 10px 0;\">" . $e->getMessage() . "</p>\n");

}

?>
