<?php

/**
 * Phire Get Sections
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once dirname(__FILE__) . '/config.check.php';

$add = $lang->__('Add Section');
$sect_tle = $lang->__('Section Title');
$ste_url = $lang->__('Site/URL');
$par = $lang->__('Parent Section');
$click = $lang->__('Click to Edit');
$vw = $lang->__('Click to View');
$acc = $lang->__('Access');
$reqs = $lang->__('Requests');
$copy = $lang->__('Copy?');
$remove = $lang->__('Remove?');
$remove_btn = $lang->__('Remove');

$int_sort_id = 'section_id';
$tableHeader = "<tr><td class=\"grayHeader\" style=\"padding: 0; width: 7%; text-align: center;\"><a class=\"grayLink\" href=\"./sections.php?sort=section_id\">ID #</a></td><td class=\"grayHeader\" style=\"padding: 0; text-align: left;\"><a class=\"grayLink\" href=\"./sections.php?sort=section_title\">{$sect_tle}</a> ({$click})</td><td class=\"grayHeader\" style=\"padding: 0; text-align: left;\"><a class=\"grayLink\" href=\"./sections.php?sort=site_id\">{$ste_url}</a> ({$vw})</td><td class=\"grayHeader\" style=\"padding: 0; text-align: center;\"><a class=\"grayLink\" href=\"./sections.php?sort=parent_section_id\">{$par}</a><td class=\"grayHeader\" style=\"padding: 0; width: 7%; text-align: center;\"><a class=\"grayLink\" href=\"./sections.php?sort=section_access\">{$acc}</a></td><td class=\"grayHeader\" style=\"padding: 0; width: 7%; text-align: center;\"><a class=\"grayLink\" href=\"./sections.php?sort=section_requests\">{$reqs}</a></td><td class=\"grayHeader\" style=\"padding: 0; width: 5%; text-align: center;\"><strong>{$copy}</strong></td><td class=\"grayHeader\" style=\"padding: 0; width: 6%; text-align: center;\"><strong>{$remove}</strong></td></tr>";

require_once '../core/process/calculate.sort.php';

try {

    $sects = new Phire_Table_Sections();

    // Build the SQL query for the sections based on the values passed and the session data set.
    if (isset($sess->sites)) {

        $site_ids = array();
        foreach ($sess->sites as $value) {
            $site_ids[] = "site_id = '" . $value . "'";
        }
        $sql = "SELECT * FROM " . DB_PREFIX . "sections WHERE " . implode(' OR ', $site_ids) . " ORDER BY " . $sort;

        // Execute the SQL query.
        $sects->execute($sql);

    }

    if (isset($sects->rows[0])) {

        // Print the table header.
        print <<<TABLEHEADER
        <form id="sectsForm" action="../core/process/remove.sections.php" method="post" onsubmit="return sectsFrm.checkValidate('section', true);">
            <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td><input style="margin: 0 2.5% 0 0; float: right;" type="checkbox" class="checkBox" id="check_all" name="check_all" value="all" onclick="formCheckAll(this, sectsFrm, 'rm_sects');" /><a class="orangeLink" href="./add-section.php">[+] {$add}</a></td></tr></table>
            <table id="dataTable" cellpadding="0" cellspacing="0">
                {$tableHeader}

TABLEHEADER;

        $id = null;

        // Iterate through each section, formatting and printing it to a row.
        foreach ($sects->rows as $sect) {

            $section_title = Moc10_String::setString($sect->section_title)->strip()->html();

            $site = new Phire_Table_Sites();
            $site->findById($sect->site_id);

            if ($sect->parent_section_id == 0) {
                $par_sect = '&nbsp;';
            } else {
                $sct = new Phire_Table_Sections();
                $sct->findById($sect->parent_section_id);
                $par_sect = $sct->section_title;
            }

            print("                <tr><td style=\"text-align: center;\">{$sect->section_id}</td><td><a href=\"./edit-section.php?sid={$sect->section_id}\">{$section_title}</a></td><td><a class=\"smallLink\" style=\"font-size: 1.0em;\" href=\"http://{$site->site_domain}" . BASE_PATH . "{$sect->section_url}\" target=\"_blank\">{$site->site_domain}" . BASE_PATH . "{$sect->section_url}</a></td><td style=\"text-align: center;\">{$par_sect}</td><td style=\"text-align: center;\">" . $lang->__($sect->section_access) . "</td><td style=\"text-align: center;\">{$sect->section_requests}</td><td style=\"text-align: center;\"><a class=\"copyLink\" href=\"../core/process/copy.section.php?sid={$sect->section_id}\" title=\"Copy Section\"><span class=\"hide\">Copy Section</span></a></td><td style=\"text-align: center;\"><input type=\"checkbox\" class=\"checkBox\" id=\"rm_sects{$id}\" name=\"rm_sects[]\" value=\"{$sect->section_id}\" /></td></tr>\n");
            $id++;

        }

        // Print the table footer.
        print <<<TABLEFOOTER
            </table>
            <table id="footerTable" cellpadding="0" cellspacing="0"><tr><td><input style="float: right;" type="submit" class="submitRedBtn" value="{$remove_btn}" /></td></tr></table>
        </form>
        <script type="text/javascript">
            sectsFormInit();
        </script>

TABLEFOOTER;

    // Else, print a no results table.
    } else {

        $nosects = $lang->__('There are currently no sections.');

        print <<<TABLEHEADER
        <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td><a class="orangeLink" href="./add-section.php">[+] {$add}</a></td></tr></table>
        <table id="dataTable" cellpadding="0" cellspacing="0">
            {$tableHeader}
            <tr><td colspan="8" style="padding: 25px;">{$nosects}</td></tr>
        </table>

TABLEHEADER;

    }

// Else throw a exception/error.
} catch (Exception $e) {

    print("        <p style=\"width: 95%; margin: 0 auto; padding: 5px 0 10px 0;\">" . $e->getMessage() . "</p>\n");

}

?>
