<?php

/**
 * Phire Get Site Searches
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once dirname(__FILE__) . '/config.check.php';

$back = $lang->__('Back');
$time = $lang->__('Timestamp');
$keys = $lang->__('Keywords');
$rslts = $lang->__('Results');
$clear = $lang->__('Clear?');
$clear_btn = $lang->__('Clear');

$int_sort_id = 'search_datetime';
$tableHeader = "<tr><td class=\"grayHeader\" style=\"width: 14%; text-align: center;\"><a class=\"grayLink\" href=\"./view-searches.php?sid={$_GET['sid']}&sort=search_datetime\">{$time}</a></td><td class=\"grayHeader\" style=\"text-align: left;\"><a class=\"grayLink\" href=\"./view-searches.php?sid={$_GET['sid']}&sort=keywords\">{$keys}</a></td><td class=\"grayHeader\" style=\"padding: 0; text-align: center;\"><a class=\"grayLink\" href=\"./view-searches.php?sid={$_GET['sid']}&sort=results\">{$rslts}</a></td><td class=\"grayHeader\" style=\"padding: 0; width: 7%; text-align: center;\"><strong>{$clear}</strong></td></tr>";
require_once '../core/process/calculate.sort.php';

try {

    $siteSearches = new Phire_Table_Sites();

    // Get user's allowed sites.
    if (isset($sess->sites)) {

        $site_ids = array();
        foreach ($sess->sites as $value) {
            $site_ids[] = "site_id = '" . $value . "'";
        }
        $sql = "SELECT * FROM " . DB_PREFIX . "searchlog WHERE site_id = '" . (string)Moc10_String::setString($_GET['sid'])->escape(true)->striptags() . "' ORDER BY " . $sort;

        $siteSearches->execute($sql);

    }

    if (isset($siteSearches->rows[0])) {

        // Print the table header.
        print <<<TABLEHEADER
        <form id="sitesForm" action="../core/process/clear.searches.php" method="post" onsubmit="return sitesFrm.checkValidate('keyword');">
            <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td><input style="margin: 0 3.0% 0 0; float: right;" type="checkbox" class="checkBox" id="check_all" name="check_all" value="all" onclick="formCheckAll(this, sitesFrm, 'rm_searches');" />&lt;&lt;&lt; <a class="orangeLink" href="./sites.php">{$back}</a></td></tr></table>
            <table id="dataTable" cellpadding="0" cellspacing="0">
                {$tableHeader}

TABLEHEADER;

        $id = null;

        // Iterate through each site, formatting and printing it to a row.
        foreach ($siteSearches->rows as $site) {
            print("                <tr><td style=\"text-align: center;\">" . (string)Moc10_String::setString($site->search_datetime)->date('m/d/Y g:i A') . "</td><td style=\"text-align: left;\">{$site->keywords}</td><td style=\"padding: 0; text-align: center;\">{$site->results}</td><td style=\"text-align: center;\"><input type=\"checkbox\" class=\"checkBox\" id=\"rm_searches{$id}\" name=\"rm_searches[]\" value=\"{$site->search_id}\" /></td></tr>\n");
        }

        // Print the table footer.
        print <<<TABLEFOOTER
            </table>
            <table id="footerTable" cellpadding="0" cellspacing="0"><tr><td><input style="float: right;" type="submit" class="submitRedBtn" value="{$clear_btn}" /><input type="hidden" name="site_id" value="{$_GET['sid']}" /></td></tr></table>
        </form>
        <script type="text/javascript">
            sitesFormInit();
        </script>

TABLEFOOTER;

    // Else, print a no results table.
    } else {

        $nosearch = $lang->__('There are currently no search requests for this site.');

        print <<<TABLEHEADER
        <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td>&lt;&lt;&lt; <a class="orangeLink" href="./sites.php">{$back}</a></td></tr></table>
        <table id="dataTable" cellpadding="0" cellspacing="0">
            {$tableHeader}
            <tr><td colspan="4" style="padding: 25px;">{$nosearch}</td></tr>
        </table>

TABLEHEADER;

    }

// Else throw a exception/error.
} catch (Exception $e) {

    print("        <p style=\"width: 95%; margin: 0 auto; padding: 5px 0 10px 0;\">" . $e->getMessage() . "</p>\n");

}

?>
