<?php

/**
 * Phire Remove Users
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once '../../bootstrap.php';

try {

    // Get the users to remove.
    $rm_users = array();
    $rm_users = $_POST['rm_users'];

    if (isset($rm_users[0])) {

        foreach ($rm_users as $value) {

            $val = (string)Moc10_String::setString($value)->escape(true)->striptags();

            // Update all assets related to the removed user and delete the user.
            $sessions = new Phire_Table_Sessions();
            $sessions->execute("DELETE FROM " . DB_PREFIX . "sessions WHERE user_id = '" . $val . "'");

            $pages = new Phire_Table_Pages();
            $pages->execute("UPDATE " . DB_PREFIX . "pages SET user_id = 0 WHERE user_id = '" . $val . "'");

            $files = new Phire_Table_Files();
            $files->execute("UPDATE " . DB_PREFIX . "files SET user_id = 0 WHERE user_id = '" . $val . "'");

            $images = new Phire_Table_Images();
            $images->execute("UPDATE " . DB_PREFIX . "images SET user_id = 0 WHERE user_id = '" . $val . "'");

            $events = new Phire_Table_Events();
            $events->execute("UPDATE " . DB_PREFIX . "events SET user_id = 0 WHERE user_id = '" . $val . "'");

            $comments = new Phire_Table_Comments();
            $comments->execute("UPDATE " . DB_PREFIX . "comments SET user_id = 0, comment_author = 'Anonymous' WHERE user_id = '" . $val . "'");

            $user = new Phire_Table_Users();
            $user->findById($val);
            $user->delete();

        }

        if (isset($_POST['plugin'])) {
            header('Location: ' . BASE_PATH . CONTENT_PATH . '/extensions/plugins/' . $_POST['plugin'] . '/?action=removed&sys_path=' . BASE_PATH . SYS_PATH);
        } else {
            header('Location: ' . BASE_PATH . SYS_PATH . '/system/users.php?action=removed');
        }

    } else {

        if (isset($_POST['plugin'])) {
            header('Location: ' . BASE_PATH . CONTENT_PATH . '/extensions/plugins/' . $_POST['plugin'] . '/?sys_path=' . BASE_PATH . SYS_PATH);
        } else {
            header('Location: ' . BASE_PATH . SYS_PATH . '/system/users.php');
        }

    }

// Else throw a exception/error.
} catch (Exception $e) {

    include_once 'init.php';
    include_once '../includes/error.header.php';
    print("        <p style=\"width: 95%; margin: 0 auto; padding: 5px 0 0 0;\">" . $e->getMessage() . "</p>\n");
    include_once '../includes/footer.php';

}

?>
