<?php

/**
 * Phire Index Controller (for additional sites)
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

/**
 * REQUIRED - The base path and content path of the new site must be named the same
 * as the base path and content path of the original system site. The content path
 * must also contain the same content folders (cache, assets, extensions, etc.)
 *
 * REQUIRED - You must set the system document root + base path + system path in
 * the $sys_docroot variable below (without a trailing slash.)
 */

try {

    $sys_docroot = '/your/system/document/root/and/base/path/and/system/path';

    if (!file_exists($sys_docroot)) {

        print('The system document root does not exists. Please refer to the README.TXT for help.');

    } else {

        require_once $sys_docroot . '/bootstrap.php';
        require_once $sys_docroot . '/core/process/system.check.php';

        // If the system is not properly configured or installed.
        if ($sys_check == false) {

            include_once $sys_docroot . '/core/includes/failed.php';

        // Else, process the URL query.
        } else {

            // Get the query.
            if (isset($_GET['query'])) {
                $url_request = $_GET['query'];
            } else {
                $_GET['query'] = '/';
                $url_request = '/';
            }

            // Clean the URL query, if necessary.
            if (strpos($url_request, '?') !== false) {
                $_GET['query'] = substr($_GET['query'], 0, strpos($_GET['query'], '?'));
                $url_request = substr($url_request, 0, strpos($url_request, '?'));
            }

            Phire_Init::start((string)Moc10_String::setString($url_request)->escape()->striptags());

        }

    }

} catch (Exception $e) {

    $trace = $e->getTrace();
    $errorMsg = (strpos($trace[1]['args'][0]->getMessage(), 'Site ID') !== false) ? $trace[1]['args'][0]->getMessage() : $e->getMessage();

    header('Content-type: text/html');
    echo "<html>\n    <head>\n        <title>Phire CMS &gt; System Error</title>\n    </head>\n<body>\n    <h1 style=\"color: #f00;\">Phire CMS &gt; System Error</h1>\n    <h3>" . $errorMsg . "</h3>\n    <p>If you've recently migrated this website and system, there may be a sync issue with the new server. Please log in and verify this and to correct it.</p>\n</body>\n\n</html>";

}

?>